%global pypi_name debtcollector

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        A collection of Python deprecation patterns and strategies
License:        ASLv2
URL:            https://pypi.org/project/debtcollector
Source0:        https://tarballs.opendev.org/openstack/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

%package -n python3-%{pypi_name}
Summary:        A collection of Python deprecation patterns and strategies
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc *.rst


%changelog
* Sun Mar 02 2025 wally <wally> 3.0.0-2.mga10
+ Revision: 2156256
- rebuild for python3.13

* Wed Jun 26 2024 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 2077090
- new version 3.0.0

* Sun Jan 21 2024 papoteur <papoteur> 2.5.0-2.mga10
+ Revision: 2033474
- rebuild for python 3.12

* Mon Aug 22 2022 wally <wally> 2.5.0-1.mga9
+ Revision: 1879447
- new version 2.5.0
- switch build to use pyproject RPM macros

* Thu Mar 24 2022 umeabot <umeabot> 2.4.0-2.mga9
+ Revision: 1824889
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 2.4.0-1.mga9
+ Revision: 1781479
- version 2.4.0
- rediff Patch0
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 2.2.0-3.mga9
+ Revision: 1706919
- relax pbr dependency

* Sun Mar 21 2021 daviddavid <daviddavid> 2.2.0-2.mga9
+ Revision: 1706755
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 2.2.0-1.mga8
+ Revision: 1626393
- new version 2.2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.21.0-2.mga8
+ Revision: 1535049
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 1.21.0-1.mga8
+ Revision: 1450713
- new version: 1.21.0

* Sat Sep 14 2019 tv <tv> 1.20.0-3.mga8
+ Revision: 1440622
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.20.0-2.mga7
+ Revision: 1352422
- Rebuild for python3 3.7
+ kekepower <kekepower>
- Update to version 1.20.0

* Thu Sep 20 2018 umeabot <umeabot> 1.19.0-3.mga7
+ Revision: 1288567
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 kekepower <kekepower> 1.19.0-2.mga7
+ Revision: 1219026
- Use python_provide

* Tue Mar 20 2018 kekepower <kekepower> 1.19.0-1.mga7
+ Revision: 1210794
- Update to version 1.19.0
- Renamed python-debtcollector to python2-debtcollector

* Wed Oct 04 2017 tv <tv> 1.8.0-3.mga7
+ Revision: 1168821
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-2.mga7
+ Revision: 1135364
- Rebuild for python 3.6

* Sat Sep 03 2016 bcornec <bcornec> 1.8.0-1.mga6
+ Revision: 1049856
- Update to upstream 1.8.0 - sources from OpenStack

* Sat Feb 20 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 971084
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 889238
- new version: 0.8.0 + rebuild for python 3.5
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.7.0-1.mga6
+ Revision: 871776
- imported package python-debtcollector

